Skip to content

Address rotation status

GET
/address/rotate/status/{rotation_id}

Authorizations

ApiKeyAuth

API key from the dashboard. Some Host Mode endpoints also accept the key as an api_key field in the request body — this is stated in the schema of the particular operation.

Type
API Key (header: X-API-KEY)

Parameters

Header Parameters

X-Real-IP*

An IP address from the key's whitelist. A request from an address outside the whitelist is rejected with 401.

Type
string
Required
Example"203.0.113.10"
Format
"ipv4"

Path Parameters

rotation_id*
Type
integer
Required
Example42

Responses

State of the rotation request.

application/json
JSON
{
  
"rotation_id": 0,
  
"user_id": 0,
  
"address_type": "string",
  
"old_address": "TQn9Y2khEsLJW1ChVWFMSMeRDow5KcbLSE",
  
"new_address": "TQn9Y2khEsLJW1ChVWFMSMeRDow5KcbLSE",
  
"status": "string",
  
"message": "string",
  
"estimated_completion": "string",
  
"created_at": "string",
  
"completed_at": "string"
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

Powered by VitePress OpenAPI